Solved

What is the compatible version between ESXi and AOS

  • 28 April 2020
  • 3 replies
  • 538 views

Badge +6

Hi

Does anywhere can be find the ESXi version and AOS version interoperaability or compatibility?

I found that in the foundation iso_whitelist file, there is some ESXi version has min_nos requirements. but differnet OEM partner has different requiremnts. But from VMware compability web site. ESXi is compatibility with most of the AOS version as the link.

For example:

ESXi 6.5 U3

--Dell has no min_nos requirements

--Lenovo min_nos is 5.10.6

--Fujitsu has no min_nos requirements

--HPE min_nos is 5.10.7

So if it is old enviroment, Does the ESXi version must meet the AOS version requirement in the whitelist?

icon

Best answer by HITESH0801 29 April 2020, 09:22

Hello @chenzh4 

I tried selecting AOS 5.10.10 and ESXI 6.5 U3 and a lot of NX Hardware were compatible 


Regarding compatibility with som OEM partners, please take note of the following as mentioned in “Hypervisor Support Policy” at the bottom of the Compatibility Matrix Page 


This compatibility matrix shows the AOS, AHV, and hypervisor compatibility for Nutanix NX and SX Series platforms and SW-Only Models qualified by Nutanix (such as Cisco UCS, Dell PowerEdge, HPE ProLiant and others listed here). For other platforms not listed here, such as Dell XC, Lenovo HX, and others, please see your vendor documentation for compatibility.

View original

This topic has been closed for comments

3 replies

Userlevel 2
Badge +4

Hi @chenzh4
Have you checked https://portal.nutanix.com/page/documents/compatibility-matrix ? 
On the Nutanix support portal, under the Documentation section. You can select ESXi version first, or select hardware model first, and see the Hardware Model + AOS version + Hypervisor version compatibility as validated by Nutanix. You may want to select “ESXi 6.5 U3 Vendor” instead of “ESXi 6.5 U3” for some platforms. This “Vendor” version refers to the vendor-specific ESXi ISO such as for Dell or Cisco hardware models. 

Badge +6

Hi @JeremyJ 

 

I have checked the portal martrix link. If I selected ESXi 6.5 U3 Vendor,and AOS for 5.10.10, there is no hardware model display to meet the version. But AOS 5.10.10 is released recently, I think it will be compatible. If I select ESXi 6.5 U3, and AOS for 5.5.9.5, there are some NX series hardware model can meet it. So my understanding is that maybe OEM partner just  did not test some versions.

Another concern is that AOS has compatible with ESXi in VMware HCL. And the Hardware also has compatible with VMware. Hardware also has compatible with AOS. This is a triangle. How to treat it rightly? 

Userlevel 4
Badge +4

Hello @chenzh4 

I tried selecting AOS 5.10.10 and ESXI 6.5 U3 and a lot of NX Hardware were compatible 


Regarding compatibility with som OEM partners, please take note of the following as mentioned in “Hypervisor Support Policy” at the bottom of the Compatibility Matrix Page 


This compatibility matrix shows the AOS, AHV, and hypervisor compatibility for Nutanix NX and SX Series platforms and SW-Only Models qualified by Nutanix (such as Cisco UCS, Dell PowerEdge, HPE ProLiant and others listed here). For other platforms not listed here, such as Dell XC, Lenovo HX, and others, please see your vendor documentation for compatibility.